Subject: bug#30350: 27.0.50; Newest master can't run processes on macOS

From: Philipp Stephani <[email-masked]>
Date: Sun, 04 Feb 2018 23:16:24 +0000

Alan Third <[email-masked]> schrieb am So., 4. Feb. 2018 um 23:49 Uhr:

> On Sun, Feb 04, 2018 at 09:28:12PM +0000, Philipp Stephani wrote:
> > Alan Third <[email-masked]> schrieb am So., 4. Feb. 2018 um 22:12 Uhr:
> >
> > > On Sun, Feb 04, 2018 at 09:06:15PM +0000, Alan Third wrote:
> > > > Oddly if you do
> > > >
> > > >     (file-accessible-directory-p "/usr/bin/true")
> > > >
> > > > it works correctly, but then once you run
> > > >
> > > >     (call-process "/usr/bin/true")
> > > >
> > > > file-accessible-directory-p incorrectly returns true on subsequent
> > > > calls. Paul’s commit didn’t make any real changes to
> > > > file-accessible-directory-p so I suspect this problem is older.
> > >
> > > In fact, I can replicate it on Emacs 25, so it’s an old bug.
> > >
> > >
> > This is then a different bug; could you report it as a new one?
>
> It’s actually all the same bug. Paul’s change made file-directory-p
> use file-accessible-directory-p, and it’s playing up.
>
> It looks like the root cause is faccessat returning 0 for
> ‘/usr/bin/true/.’ when it should probably be returning -1.
>
>
Good catch! Probably the bug was then introduced in 2012 with commit
73dcdb9f30cb94a3183db54d9b463370c3978d4d.